Subject: The GLP-1 Moment Is Breaking the Healthcare System Wide Open
From: Dave Knapp from On The Pen <[email-masked]>
To: [email-masked]
Date: Wed, 18 Mar 2026 22:27:27 +0000
List-Id: <onthepen.substack.com>

View this post on the web at https://onthepen.substack.com/p/the-glp-1-moment-is-breaking-the

I’ve said this a number of times, but it keeps proving itself out. GLP-1 medications are not just transforming lives, they’re transforming our healthcare system in a way we haven’t seen in decades, and it’s happening faster than most people realize.
What started as a shortage story, and one that On The Pen covered closely, turned into something far more transformational. Mass compounding stepped in and ultimately introduced real competition, which didn’t just expand access, it exposed how the system actually functions when it’s under strain. That moment revealed just how dependent access is on a very specific structure that most patients never see, and previously, never cared to see.
At the same time, there are parallel forces building around this. Trump RX is no longer just a policy idea, it is being implemented, with most major US drug manufacturers now participating in some form. Alongside that, Mark Cuban’s Cost Plus Drug Company continues to challenge traditional pricing and distribution with a more transparent model. These developments may look separate, but they are all applying pressure to the same system at the same time.
None of this is happening in isolation, and that’s what makes this moment so interesting. We are starting to see the early stages of what looks like direct to consumer pharma, where the path from patient to provider to medication becomes more direct, with fewer intermediaries involved.
As that shift begins to take shape, it raises bigger questions around access, pricing, and who the system is ultimately designed to serve. GLP-1 medications are not only changing outcomes for patients, they are exposing the underlying structure of healthcare to the masses. The reason is simple, so many people need these medications and so many have been denied access for one reason or another. The demand is so strong that people are now engaging with the system in a way they never have before, starting to untangle what has long felt like an impenetrable web. It’s a rare moment, and a rare opportunity. At the same time, what these medications are doing at the individual level is just as profound. They are increasingly looking like longevity drugs, fewer heart attacks and strokes, less inflammation, reduced cancer risk signals, meaningful diabetes improvement, and the list keeps growing. The impact of that alone is massively transformative and cannot be overstated.
I’ve been digging into this more in recent conversations, and I’m curious how others are thinking about it. Are we looking at a temporary disruption, or the early stages of a permanent shift in both how we access care and how we think about long term health?

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9vbnRoZXBlbi5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNVFF5TVRNNU5Dd2lhV0YwSWpveE56Y3pPRGN5T0RVM0xDSmxlSEFpT2pFNE1EVTBNRGc0TlRjc0ltbHpjeUk2SW5CMVlpMDBPREE0T1Rreklpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LjJ6VzlFemZBOERSeFlVR1FSNlFXVnN1Yk9PZXVFT3lZcUhVTHc2OGVvVmciLCJwIjoxOTE0MjEzOTQsInMiOjQ4MDg5OTMsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzczODcyODU3LCJleHAiOjIwODk0NDg4NTcsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.OgsAcTInJGsyi3vqTN2aVdmI4moM49e1I6bErW3bTEw?